import { IRouteConfig, IExternalColumn } from '@zeedhi/zeedhi-miragejs';

const getTarefasListadas: IRouteConfig<IExternalColumn> = {
  externalApi: true,
  apiUrl: 'http://localhost:81/fmapp/backend/service/index.php/getDadosTarefaOffline',
  dataColumn: 'data',
  persist: true,
  columns: {
    id: {
      location: ['NRCHECKLISTAGEND'],
    },
    NRCONTRATOFCT: {},
    NMRAZSOCCLIE: {},
    NMCHECKLISTAGEND: {},
    NMLOCALCLIENTE: {},
    DTAGEND: {},
    HORAAGEND: {},
    NMOPERADOR: {},
    SITUACAO: {},
  },
};

export default getTarefasListadas;
